import { OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../../services/model.service";
import { StiTotalsFieldItem } from "../../../elements/table/StiTotalsFieldItem";
import { StiMouseService } from "../../../services/mouse.service";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class StiTableTotalsFieldComponent implements OnInit, OnDestroy {
    private model;
    mouseService: StiMouseService;
    fields: StiTotalsFieldItem[];
    object: any;
    isClone?: boolean;
    startPoint: number;
    minWidth: number;
    startColumnWidth: number;
    adjacentColumnWidth: number;
    maxWidth: number;
    isResizing: boolean;
    currentColumnType: any;
    mouseUpSubscription: Subscription;
    mouseMoveSubscription: Subscription;
    get showResizePreview(): boolean;
    showPropertyInfo(field: any): void;
    getAlignment(value: any): "center" | "flex-end" | "flex-start";
    get selected(): boolean;
    getValue(field: any): string;
    initResize(event: any, columnType: any): void;
    resize(event: MouseEvent): void;
    constructor(model: StiModelService, mouseService: StiMouseService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTableTotalsFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTableTotalsFieldComponent, "sti-table-totals-field-component", never, { "fields": { "alias": "fields"; "required": false; }; "object": { "alias": "object"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
